Subject: bug#16999: closed (Re: bug#16999: calc crashes when computation limit is increased)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 14 Sep 2020 09:46:02 +0000

Your bug report

#16999: calc crashes when computation limit is increased

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16999: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16999
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16999: calc crashes when computation limit is increased
From: Mattias Engdegård <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Mon, 14 Sep 2020 11:45:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

11 sep. 2020 kl. 13.54 skrev Lars Ingebrigtsen <[email-masked]>:

> Ah, sorry, I thought I had tested that bit too, but I must have done
> something wrong...

Well, you dug up an old bug and turned our attention to it, so in a sense you did bring about the resolution!

Patch pushed and bug closed (again).

Subject: calc crashes when computation limit is increased
From: Florian Beck <[email-masked]>
To: [email-masked]
Date: Wed, 12 Mar 2014 19:30:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

M-x calc
2n
0
kc

I.e. try to calculate the binomial coefficient of (-2 0). This doesn't
work and calc suggests you give it more time:

Computation got stuck or ran too long.  Type `M' to increase the limit

So do

M
kc

and repeat a couple of times.

Once `max-lisp-eval-depth' hits 64000 emacs crashes.

I can send a backtrace if necessary.

In GNU Emacs 24.3.50.46 (x86_64-unknown-linux-gnu, GTK+ Version 3.8.6)
  of 2014-03-12 on sophokles
Windowing system distributor `The X.Org Foundation', version 11.0.11405000
System Description:	Ubuntu 13.10

Configured using:
  `configure CC=gcc 'CFLAGS=-march=native -mtune=native -msse -msse2
  -msse3 -mmmx -O2 -pipe -g3 -fno-omit-frame-pointer -fno-crossjumping'
  LDFLAGS=-O2'

-- 
Florian Beck